# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "dear-imgui-ash"
version = "0.10.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Vulkan (Ash) renderer backend for dear-imgui-rs"
homepage = "https://github.com/Latias94/dear-imgui-rs"
documentation = "https://docs.rs/dear-imgui-ash"
readme = "README.md"
keywords = [
    "imgui",
    "ui",
    "graphics",
    "docking",
    "multiview",
]
categories = [
    "gui",
    "api-bindings",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Latias94/dear-imgui-rs"
resolver = "2"

[features]
default = []
dynamic-rendering = []
gpu-allocator = ["dep:gpu-allocator"]
multi-viewport-sdl3 = ["dear-imgui-rs/multi-viewport"]
multi-viewport-winit = [
    "dear-imgui-rs/multi-viewport",
    "dep:winit",
    "dep:ash-window",
]
vk-mem = ["dep:vk-mem"]

[lib]
name = "dear_imgui_ash"
path = "src/lib.rs"

[dependencies.dear-imgui-rs]
version = "0.10"

[dependencies.log]
version = "0.4"

[dependencies.thiserror]
version = "2.0"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.ash]
version = "0.38"
features = [
    "debug",
    "std",
]
default-features = false

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.ash-window]
version = "0.13"
optional = true

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.gpu-allocator]
version = "0.27"
features = ["vulkan"]
optional = true
default-features = false

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.vk-mem]
version = "0.5"
optional = true

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.winit]
version = "0.30.12"
optional = true
